#
# spec file for package inkscape (Version 0.46)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-dsssl-stylesheets docbook-toys docbook_3 docbook_4 e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glibmm24 glibmm24-devel glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gtkmm24 gtkmm24-devel gzip hal hal-devel info insserv intltool iso_ent jadetex klogd latex-ucs less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgssapi libjpeg libjpeg-devel libmudflap libnscd libpng libpng-devel libsigc++2 libsigc++2-devel libstdc++ libstdc++-devel libsvg libsvg-cairo libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio loudmouth loudmouth-devel m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-cairo python-devel python-gtk python-numeric rcs readline resmgr rpm sed sgml-skel shared-mime-info strace sysvinit tar tcpd te_latex tetex texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel liblcms-devel

Name:           inkscape
BuildRequires:  docbook-toys gcc-c++ 
BuildRequires:  gtkmm24-devel
BuildRequires:  intltool 
BuildRequires:  libglade2-devel
BuildRequires:  libgnomeprintui-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libwnck-devel
BuildRequires:  libxslt-devel
BuildRequires:  loudmouth-devel
BuildRequires:  mDNSResponder-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  python-devel
BuildRequires:  python-gtk
BuildRequires:  sgml-skel
BuildRequires:  update-desktop-files
BuildRequires:  liblcms-devel
%define prefix /opt/gnome
License:        GNU General Public License (GPL)
Group:          Productivity/Graphics/Vector Editors
Requires:       ghostscript-fonts-std python-gtk python-numeric pstoedit libwmf gzip skencil /usr/bin/gs
Autoreqprov:    on
Summary:        Inkscape Vector Illustration Program
Version:        0.45.1
Release:        21.2
Provides:       sodipodi
Obsoletes:      sodipodi
PreReq:         /bin/rm /bin/ln /bin/sh /usr/bin/perl
Source:         inkscape-%{version}.tar.gz
Source1:        gc6.4.tar.bz2
Patch:          inkscape-boehm-gc.patch
#Patch1:         libcroco-overflow.patch
#Patch2:         inkscape-qualification.patch
#Patch3:         inkscape-null-conversion.patch
Patch4:         inkscape-swigfix.patch
Patch10:        gc6.4.dif
#Patch11:        inkscape-buffer-overrun.patch
URL:            http://www.inkscape.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Suggests: 	perl(Image::Magick)

%description
Inkscape is a vector illustration program for the GNOME desktop.



Authors:
--------
    Alexander Clausen
    John Bintz
    Arpad Biro
    Daniel Borgmann
    Hans Breuer
    Bulia Byak
    Chema Celorio
    Johan Ceuppens
    Zbigniew Chyla
    John Cliff
    Kees Cook
    Robert Crosbie
    Jon Cruz
    Danilo Egan
    Frank Felfe
    Fred
    Ted Gould
    Bryce Harrington
    Carl Hetherington
    Nathan Hurst
    Thomas Ingham
    Bob Jamison
    Lauris Kaplinski
    Lynn Kerby
    Petr Kovar
    Raph Levien
    Vitaly Lipatov
    Dmitry G. Mastrukov
    Michael Meeks
    Federico Mena
    MenTaLguY
    Peter Moulder
    Yukihiro Nakai
    Christian Neumair
    Mitsuru Oka
    Jon Phillips
    Christian Schaller
    Tom von Schwerdtner
    Pat Suwalski
    Adib Taraben
    Daniel Yacob
    Masatake Yamato

%debug_package
%prep
%setup -b 1
%patch
#%patch2
#%patch3
%patch4
#cd src/libcroco
#%patch1 -p2
#cd ../..
pushd ../gc*
%patch10
popd
#%patch11 -p1
patch <<EOF
--- configure.ac
+++ configure.ac
@@ -612,1 +612,1 @@
-AC_DEFINE_UNQUOTED([INKSCAPE_LIBDIR], "\${prefix}/lib",
+AC_DEFINE_UNQUOTED([INKSCAPE_LIBDIR], "\${prefix}/%_lib",
EOF
chmod -x README.ca.txt

%build
export CFLAGS="$RPM_OPT_FLAGS"
pushd ../gc*
autoreconf --force --install
CFLAGS="$CFLAGS -fPIC -fno-strict-aliasing" ./configure --prefix=/usr --disable-shared
make
make install DESTDIR=$RPM_BUILD_DIR/gc_install
popd
aclocal
automake
autoconf
./configure --prefix=%prefix \
	    --mandir=%_mandir \
	    --libdir=%prefix/%_lib \
	    --enable-db2html \
	    --enable-gnome \
	    --with-python \
	    --with-perl \
	    --with-gnome-print \
	    --enable-inkboard \
            --with-gc=$RPM_BUILD_DIR/gc_install/usr
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file -N "Inkscape" -G "SVG Vector Illustrator" inkscape Office FlowChart
%find_lang %{name}
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/inkscape/extensions-optional
cp $RPM_BUILD_ROOT/opt/gnome/share/inkscape/extensions/dia.inx $RPM_BUILD_ROOT/opt/gnome/share/inkscape/extensions-optional

%triggerin -- dia
ln -f opt/gnome/share/inkscape/extensions-optional/dia.inx opt/gnome/share/inkscape/extensions/dia.inx

%triggerpostun -- dia
if [ ! -x /opt/gnome/bin/dia ] ; then
  rm opt/gnome/share/inkscape/extensions/dia.inx
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog HACKING* INSTALL NEWS README* TRANSLATORS
/opt/gnome/bin/*
/opt/gnome/share/applications/inkscape.desktop
%doc /usr/share/man/man?/*.*
%doc /usr/share/man/??/man?/*.*
%dir /opt/gnome/share/inkscape
/opt/gnome/share/inkscape/[a-df-z]*
/opt/gnome/share/inkscape/exa*
/opt/gnome/share/inkscape/extensions-optional
%dir /opt/gnome/share/inkscape/extensions
/opt/gnome/share/inkscape/extensions/[a-ce-zA-Z]*
/opt/gnome/share/inkscape/extensions/dia2*
/opt/gnome/share/inkscape/extensions/dots*
#/opt/gnome/share/inkscape/extensions/dr*
/opt/gnome/share/inkscape/extensions/dx*
%ghost /opt/gnome/share/inkscape/extensions/dia.inx
/opt/gnome/share/pixmaps/inkscape.png
%dir /usr/share/man/fr/man1

%changelog
* Mon Apr 14 2008 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 0.46
 - removed some patches

* Wed Mar 28 2007 - maw@suse.de
- Add inkscape-buffer-overrun.patch (#254341) which fixes a number
  of potentially exploitable bugs relating to the use, or
  lack thereof, of format strings.
* Fri Jan 12 2007 - jhargadon@suse.de
- Corrected the Suggests to be perl(Image::Magick)
* Fri Jan 12 2007 - jhargadon@suse.de
- Added "Suggests: perl:PerlMagick" to the specfile (#203467)
* Sat Feb 18 2006 - stbinner@suse.de
- fix typo .desktop file
* Sat Feb 18 2006 - gekker@suse.de
- fixup .desktop file for UI team
* Tue Jan 31 2006 - ro@suse.de
- take fix from swig to swig-generated source file
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 23 2005 - sbrabec@suse.cz
- Updated to version 0.43 (#134655).
- Enabled Inkboard Collaborative Editing.
* Mon Nov 07 2005 - sbrabec@suse.cz
- Fixed qualification and type conversion errors.
* Thu Aug 25 2005 - nadvornik@suse.cz
- updated to bugfix release 0.42.2 [#112918]
* Mon Aug 01 2005 - ro@suse.de
- added dir to filelist /usr/share/man/fr/man1
* Fri Jul 29 2005 - sbrabec@suse.cz
- Updated to version 0.42.
* Tue May 31 2005 - schwab@suse.de
- Fix more invalid casts.
* Wed May 18 2005 - ro@suse.de
- fix build with current pkgconfig
* Thu Apr 28 2005 - sbrabec@suse.cz
- Build boehm-gc with -fPIC and -fno-strict-aliasing.
* Wed Apr 27 2005 - ro@suse.de
- remove boehm-gc from nfb (dropped)
- use private copy of gc6.4
* Tue Apr 26 2005 - sbrabec@suse.cz
- Install missing translation files.
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed invalid casts.
* Mon Mar 21 2005 - sbrabec@suse.cz
- Bi-arch fix (#66780).
- Require skencil needed for PS/EPS input (#66780).
* Mon Feb 28 2005 - sbrabec@suse.cz
- Added needed Requires and triggers for optional extensions
  (#66780).
- Turned on perl, python and gnome-print support.
* Mon Feb 21 2005 - sbrabec@suse.cz
- Updated to version 0.41.
- Worked around problems with boehm-gc detection.
* Fri Feb 11 2005 - sbrabec@suse.cz
- Updated to version 0.40.
* Fri Feb 11 2005 - ro@suse.de
- change to libsigc++12 in neededforbuild
* Tue Nov 02 2004 - mmj@suse.de
- Locale rename: no -> nb
* Thu Aug 12 2004 - hhetter@suse.de
- Obsolete and Provide sodipodi
* Mon Aug 02 2004 - hhetter@suse.de
- initial SuSE package
